> ## Documentation Index
> Fetch the complete documentation index at: https://docs.profy.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Info



## OpenAPI

````yaml GET /oauth/app-info
openapi: 3.0.0
info:
  title: Profy App API
  version: 1.0.0
  description: OAuth 2.0 and Events API for Profy App integrations.
servers:
  - url: https://app.profy.cn
    description: Production
security: []
paths:
  /oauth/app-info:
    get:
      tags:
        - OAuth
      summary: Get app info for OAuth authorization page
      operationId: getOAuthAppInfo
      parameters:
        - schema:
            type: string
            description: Application UUID
          required: true
          description: Application UUID
          name: client_id
          in: query
        - schema:
            type: string
            description: Redirect URI to validate
          required: false
          description: Redirect URI to validate
          name: redirect_uri
          in: query
      responses:
        '200':
          description: App info retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 0
                  message:
                    type: string
                    example: ok
                  data:
                    nullable: true
                required:
                  - code
        '400':
          description: Missing client_id
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 0
                  message:
                    type: string
                    example: ok
                  data:
                    nullable: true
                required:
                  - code
        '404':
          description: App not found or disabled
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 0
                  message:
                    type: string
                    example: ok
                  data:
                    nullable: true
                required:
                  - code

````